/*
 * Copyright 2007-2017 University of New Hampshire Interoperability Laboratory
 * All rights reserved.
 *
 * This file is part of the UNH EXS implementation of the
 * Consortium Specification: Extended Sockets API (ES-API) Issue 1.0,
 * Document Number C050 published by The Open Group, January 2005,
 * and copyright 2005 by The Open Group.
 *
 * This software is available to you under a choice of one of two
 * licenses.  You may choose to be licensed under the terms of the GNU
 * General Public License (GPL) Version 2, available from the file
 * COPYING.GPL in the main directory of this source tree, or the
 * BSD license, available from the file COPYING.BSD in the main directory
 * of this source tree.
 *
 * This material is based upon work supported by the National Science
 * Foundation under Grants No. OCI-1127228 and DGE-0913620.
 *
 * Any opinions, findings, and conclusions or recommendations
 * expressed in this material are those of the authors and do not
 * necessarily reflect the views of the National Science Foundation.
 */

#ifndef _EXS_SENDFILE_SETUP_H
#define _EXS_SENDFILE_SETUP_H


static int ok_exs_sendfile(param * p)
{
	char *name = "ok_exs_sendfile";

	p->file_length = 1024;

	exs_xferfile_t sendvec;
	memset(&sendvec, 0, sizeof(exs_xferfile_t));

	int fd = open(exs_test_small_file, O_RDONLY);

	sendvec.exs_xfv.exs_fdv.exs_fildes = fd;
	sendvec.exs_xfv.exs_fdv.exs_offset = (off_t) 0;
	sendvec.exs_xfv.exs_fdv.exs_length = (size_t) 0;	//go until EOF
	sendvec.exs_xfv.exs_fdv.exs_flags = 0;	//EXS_SHUT_WR

	p->sendvec = &sendvec;
	p->sendvec->exs_xfv_type = EXS_FDVEC;

	p->sendvec_cnt = 1;

	int ret =
	    exs_sendfile(p->fd, p->sendvec, p->sendvec_cnt, p->flags,
			 p->qh, p->ah);

	close(fd);

	if (ret < 0) {
		print_error(name);
		return -1;
	}

	return ret;
}

#endif
